pub struct ThreadPool;

// ANCHOR: here
impl ThreadPool {
    /// Tworzy nową instancję ThreadPool.
    ///
    /// size to liczba watków w puli.
    ///
    /// # Panikuje
    ///
    /// Funkcja `new` wywoła panikę, jeśli size będzie równy 0.
    pub fn new(size: usize) -> ThreadPool {
        assert!(size > 0);

        ThreadPool
    }

    // --fragment pominięty--
    // ANCHOR_END: here
    pub fn execute<F>(&self, f: F)
    where
        F: FnOnce() + Send + 'static,
    {
    }
    // ANCHOR: here
}
// ANCHOR_END: here
